install:
	@echo "TODO"

reset:
	@echo "Resetting dev database..."
	bin/console doctrine:database:create --if-not-exists --no-interaction
	bin/console doctrine:schema:drop --force --full-database --no-interaction
	bin/console doctrine:migrations:migrate --no-interaction
	bin/console doctrine:fixtures:load --no-interaction --verbose
	@echo "Resetting test database..."
	bin/console doctrine:database:create --env=test --if-not-exists
	bin/console doctrine:schema:drop --full-database --env=test --force
	bin/console doctrine:schema:update --env=test --force
	bin/console doctrine:fixtures:load --env=test --no-interaction --verbose

bash-php:
	docker exec -it -u dev -it kingdom_php bash

fix:
	@vendor/bin/php-cs-fixer fix

phpstan:
	docker exec -it -u dev -it kingdom_php vendor/bin/phpstan analyze src/ --memory-limit=512M --level 9

psalm:
	docker exec -it -u dev -it kingdom_php vendor/bin/psalm

cs-fixer-check:
	docker exec -it -u dev -it kingdom_php vendor/bin/php-cs-fixer

quality:
	RC=0; \
	vendor/bin/psalm || RC=1; \
	vendor/bin/php-cs-fixer check || RC=1; \
	exit $$RC

test:
	docker exec -it -u dev -it kingdom_php vendor/bin/pest
